Bug 240509

Summary: KDevelop crash when browsing configuration
Product: kdevelop Reporter: Szymon Janc <szymon>
Component: generalAssignee: kdevelop-bugs-null
Status: RESOLVED FIXED    
Severity: crash CC: crissi99, dweenink, j_kanev, Sebteams69
Priority: NOR    
Version: unspecified   
Target Milestone: 4.0.1   
Platform: Debian unstable   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: valgrind crash logs
gdb crash logs
configuration
valgrind with debug symbols
gdb with debug symbols

Description Szymon Janc 2010-06-02 20:58:57 UTC
Application: kdevelop (4.0.0 (using KDevPlatform 1.0.0))
KDE Platform Version: 4.4.4 (KDE 4.4.4)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-4-686 i686
Distribution: Debian GNU/Linux unstable (sid)

-- Information about the crash:
Kdevelop segfaults when browsing kdevelop conifguration (after clicking on "source format").
1 imported project was open.  I cannot reproduce this when no project is open.

The crash can be reproduced some of the time.

 -- Backtrace:
Application: KDevelop (kdevelop.bin), signal: Segmentation fault
[Current thread is 1 (Thread 0xb430b710 (LWP 7804))]

Thread 13 (Thread 0xb13d9b70 (LWP 7805)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb6242 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb618c154 in pthread_cond_timedwait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff7ef in QWaitConditionPrivate::wait (this=0x9b4c8d4, mutex=0x9b4c8d8, time=200000) at thread/qwaitcondition_unix.cpp:85
#4  QWaitCondition::wait (this=0x9b4c8d4, mutex=0x9b4c8d8, time=200000) at thread/qwaitcondition_unix.cpp:159
#5  0xb5200125 in KDevelop::DUChainPrivate::CleanupThread::run (this=0x9b4c8c8) at ../../language/duchain/duchain.cpp:286
#6  0xb6dfe93e in QThreadPrivate::start (arg=0x9b4c8c8) at thread/qthread_unix.cpp:248
#7  0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#8  0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 12 (Thread 0xad6f3b70 (LWP 7849)):
#0  0xb4e0f853 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#1  0xb4e0fbe9 in ?? () from /lib/libglib-2.0.so.0
#2  0xb4e101b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0xb6f2c36f in QEventDispatcherGlib::processEvents (this=0x9cce160, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#4  0xb6efef49 in QEventLoop::processEvents (this=0xad6f3290, flags=) at kernel/qeventloop.cpp:149
#5  0xb6eff39a in QEventLoop::exec (this=0xad6f3290, flags=...) at kernel/qeventloop.cpp:201
#6  0xb6dfbbd8 in QThread::exec (this=0x9fe3ad8) at thread/qthread.cpp:487
#7  0xb6edee3b in QInotifyFileSystemWatcherEngine::run (this=0x9fe3ad8) at io/qfilesystemwatcher_inotify.cpp:248
#8  0xb6dfe93e in QThreadPrivate::start (arg=0x9fe3ad8) at thread/qthread_unix.cpp:248
#9  0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#10 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 11 (Thread 0xae6f5b70 (LWP 7850)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb5f15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb618c0fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff867 in QWaitConditionPrivate::wait (this=0xacd70658, mutex=0xacd708a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xacd70658, mutex=0xacd708a8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb48c9840 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xacd70640, th=0xacd70b80) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb48cc35c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xacd70968, th=0xacd70b80) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb48c824b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xacd70640, th=0xacd70b80) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb48cc452 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0xacd70b80) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0xacd70b80, previous=0xa78f858) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb48ca4ee in ThreadWeaver::ThreadRunHelper::run (this=0xae6f52f4, parent=0xacd70640, th=0xacd70b80) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb48cac0b in ThreadWeaver::Thread::run (this=0xacd70b80) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb6dfe93e in QThreadPrivate::start (arg=0xacd70b80) at thread/qthread_unix.cpp:248
#13 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#14 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 10 (Thread 0xaad41b70 (LWP 7852)):
#0  0xb4e9de16 in clock_gettime () from /lib/i686/cmov/librt.so.1
#1  0xb6f2946b in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0xb6f2e675 in QTimerInfoList::updateCurrentTime (this=0xa1c637c) at kernel/qeventdispatcher_unix.cpp:340
#3  0xb6f2e6ba in QTimerInfoList::timerWait (this=0xa1c637c, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0xb6f2c578 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xaad410fc) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb6f2c605 in timerSourcePrepare (source=0x0, timeout=0xb4ea1ff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0xb4e0f7ca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0xb4e0fbe9 in ?? () from /lib/libglib-2.0.so.0
#8  0xb4e101b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0xb6f2c36f in QEventDispatcherGlib::processEvents (this=0xa118410, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0xb6efef49 in QEventLoop::processEvents (this=0xaad412c0, flags=) at kernel/qeventloop.cpp:149
#11 0xb6eff39a in QEventLoop::exec (this=0xaad412c0, flags=...) at kernel/qeventloop.cpp:201
#12 0xb6dfbbd8 in QThread::exec (this=0x9fec388) at thread/qthread.cpp:487
#13 0xb52f7d40 in KDevelop::CompletionWorkerThread::run (this=0x9fec388) at ../../language/codecompletion/codecompletionmodel.cpp:82
#14 0xb6dfe93e in QThreadPrivate::start (arg=0x9fec388) at thread/qthread_unix.cpp:248
#15 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#16 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 9 (Thread 0xaa540b70 (LWP 7853)):
#0  0xb4e9de16 in clock_gettime () from /lib/i686/cmov/librt.so.1
#1  0xb6f2946b in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0xb6f2e675 in QTimerInfoList::updateCurrentTime (this=0xa1aa9bc) at kernel/qeventdispatcher_unix.cpp:340
#3  0xb6f2e6ba in QTimerInfoList::timerWait (this=0xa1aa9bc, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0xb6f2c578 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xaa5400fc) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb6f2c605 in timerSourcePrepare (source=0x0, timeout=0xb4ea1ff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0xb4e0f7ca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0xb4e0fbe9 in ?? () from /lib/libglib-2.0.so.0
#8  0xb4e101b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0xb6f2c36f in QEventDispatcherGlib::processEvents (this=0x9c7d3c8, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0xb6efef49 in QEventLoop::processEvents (this=0xaa5402c0, flags=) at kernel/qeventloop.cpp:149
#11 0xb6eff39a in QEventLoop::exec (this=0xaa5402c0, flags=...) at kernel/qeventloop.cpp:201
#12 0xb6dfbbd8 in QThread::exec (this=0xab7bafc8) at thread/qthread.cpp:487
#13 0xb52f7d40 in KDevelop::CompletionWorkerThread::run (this=0xab7bafc8) at ../../language/codecompletion/codecompletionmodel.cpp:82
#14 0xb6dfe93e in QThreadPrivate::start (arg=0xab7bafc8) at thread/qthread_unix.cpp:248
#15 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#16 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 8 (Thread 0xa9d3fb70 (LWP 7854)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb6242 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb618c154 in pthread_cond_timedwait () from /lib/i686/cmov/libc.so.6
#3  0xb6dfe241 in thread_sleep (ti=0x1) at thread/qthread_unix.cpp:398
#4  0xb6dfe383 in QThread::msleep (msecs=30) at thread/qthread_unix.cpp:424
#5  0xab67925b in ?? () from /usr/lib/kde4/kdevcpplanguagesupport.so
#6  0xb6dfe93e in QThreadPrivate::start (arg=0xa1ab6b0) at thread/qthread_unix.cpp:248
#7  0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#8  0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 7 (Thread 0xa913bb70 (LWP 7855)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb5f15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb618c0fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff867 in QWaitConditionPrivate::wait (this=0x9ae1730, mutex=0x9ae1b38, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9ae1730, mutex=0x9ae1b38, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb48c9840 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9ae1718, th=0xa03d670) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb48cc35c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9ae1bd0, th=0xa03d670) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb48c824b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9ae1718, th=0xa03d670) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb48cc452 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0, th=0xa03d670) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718, th=0xa03d670, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0, th=0xa03d670) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718, th=0xa03d670, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0, th=0xa03d670) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718, th=0xa03d670, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0, th=0xa03d670) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718, th=0xa03d670, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0, th=0xa03d670) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#17 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718, th=0xa03d670, previous=0xa502f7b0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#18 0xb48ca4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa913b2f4, parent=0x9ae1718, th=0xa03d670) at ../../../threadweaver/Weaver/Thread.cpp:87
#19 0xb48cac0b in ThreadWeaver::Thread::run (this=0xa03d670) at ../../../threadweaver/Weaver/Thread.cpp:142
#20 0xb6dfe93e in QThreadPrivate::start (arg=0xa03d670) at thread/qthread_unix.cpp:248
#21 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#22 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 6 (Thread 0xa893ab70 (LWP 7856)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb5f15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb618c0fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff867 in QWaitConditionPrivate::wait (this=0x9ae1730, mutex=0x9ae1b38, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9ae1730, mutex=0x9ae1b38, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb48c9840 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9ae1718, th=0xab7c8ca0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb48cc35c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9ae1bd0, th=0xab7c8ca0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb48c824b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9ae1718, th=0xab7c8ca0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb48cc452 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0, th=0xab7c8ca0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718, th=0xab7c8ca0, previous=0x99fb2b8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb48ca4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa893a2f4, parent=0x9ae1718, th=0xab7c8ca0) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb48cac0b in ThreadWeaver::Thread::run (this=0xab7c8ca0) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb6dfe93e in QThreadPrivate::start (arg=0xab7c8ca0) at thread/qthread_unix.cpp:248
#13 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#14 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 5 (Thread 0xa8139b70 (LWP 7857)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb5f15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb618c0fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff867 in QWaitConditionPrivate::wait (this=0x9ae1730, mutex=0x9ae1b38, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9ae1730, mutex=0x9ae1b38, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb48c9840 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9ae1718, th=0xa070a78) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb48cc35c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9ae1bd0, th=0xa070a78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb48c824b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9ae1718, th=0xa070a78) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb48cc452 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0, th=0xa070a78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718, th=0xa070a78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0, th=0xa070a78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718, th=0xa070a78, previous=0xafa3428) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb48ca4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa81392f4, parent=0x9ae1718, th=0xa070a78) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0xb48cac0b in ThreadWeaver::Thread::run (this=0xa070a78) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0xb6dfe93e in QThreadPrivate::start (arg=0xa070a78) at thread/qthread_unix.cpp:248
#15 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#16 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 4 (Thread 0xac1ffb70 (LWP 8232)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb5f15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb618c0fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff867 in QWaitConditionPrivate::wait (this=0xacd70658, mutex=0xacd708a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xacd70658, mutex=0xacd708a8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb48c9840 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xacd70640, th=0x9f841f0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb48cc35c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xacd70968, th=0x9f841f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb48c824b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xacd70640, th=0x9f841f0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb48cc452 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0x9f841f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0x9f841f0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0x9f841f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0x9f841f0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0x9f841f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0x9f841f0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0x9f841f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0x9f841f0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0x9f841f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#17 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0x9f841f0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#18 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0x9f841f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#19 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0x9f841f0, previous=0xacdd8e8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#20 0xb48ca4ee in ThreadWeaver::ThreadRunHelper::run (this=0xac1ff2f4, parent=0xacd70640, th=0x9f841f0) at ../../../threadweaver/Weaver/Thread.cpp:87
#21 0xb48cac0b in ThreadWeaver::Thread::run (this=0x9f841f0) at ../../../threadweaver/Weaver/Thread.cpp:142
#22 0xb6dfe93e in QThreadPrivate::start (arg=0x9f841f0) at thread/qthread_unix.cpp:248
#23 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#24 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 3 (Thread 0xa4ae5b70 (LWP 8233)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb5f15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb618c0fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff867 in QWaitConditionPrivate::wait (this=0xacd70658, mutex=0xacd708a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xacd70658, mutex=0xacd708a8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb48c9840 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xacd70640, th=0x9df1290) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb48cc35c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xacd70968, th=0x9df1290) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb48c824b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xacd70640, th=0x9df1290) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb48cc452 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0x9df1290) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0x9df1290, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0x9df1290) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0x9df1290, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0x9df1290) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0x9df1290, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0x9df1290) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0x9df1290, previous=0xa6df5f0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb48ca4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa4ae52f4, parent=0xacd70640, th=0x9df1290) at ../../../threadweaver/Weaver/Thread.cpp:87
#17 0xb48cac0b in ThreadWeaver::Thread::run (this=0x9df1290) at ../../../threadweaver/Weaver/Thread.cpp:142
#18 0xb6dfe93e in QThreadPrivate::start (arg=0x9df1290) at thread/qthread_unix.cpp:248
#19 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#20 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 2 (Thread 0xa42e4b70 (LWP 8235)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb5f15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb618c0fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff867 in QWaitConditionPrivate::wait (this=0xacd70658, mutex=0xacd708a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xacd70658, mutex=0xacd708a8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb48c9840 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xacd70640, th=0xa354cc8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb48cc35c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xacd70968, th=0xa354cc8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb48c824b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xacd70640, th=0xa354cc8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb48cc452 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0xa354cc8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0xa354cc8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0xa354cc8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0xa354cc8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0xa354cc8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0xa354cc8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0xa354cc8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0xa354cc8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0xa354cc8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#17 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0xa354cc8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#18 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0xacd70968, th=0xa354cc8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#19 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640, th=0xa354cc8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#20 0xb48ca4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa42e42f4, parent=0xacd70640, th=0xa354cc8) at ../../../threadweaver/Weaver/Thread.cpp:87
#21 0xb48cac0b in ThreadWeaver::Thread::run (this=0xa354cc8) at ../../../threadweaver/Weaver/Thread.cpp:142
#22 0xb6dfe93e in QThreadPrivate::start (arg=0xa354cc8) at thread/qthread_unix.cpp:248
#23 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#24 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 1 (Thread 0xb430b710 (LWP 7804)):
[KCrash Handler]
#6  QBasicAtomicInt::ref (this=0xbfe8bc80, other=...) at ../../include/QtCore/../../src/corelib/arch/qatomic_i386.h:120
#7  QString::operator= (this=0xbfe8bc80, other=...) at tools/qstring.cpp:1280
#8  0xab8b7b73 in SourceFormatterSettings::load (this=0xab7e6660) at ../../../shell/settings/sourceformattersettings.cpp:152
#9  0xab8b4da6 in SourceFormatterSettings::qt_metacall (this=0xab7e6660, _c=QMetaObject::InvokeMetaMethod, _id=36, _a=0xa967d78) at ./sourceformattersettings.moc:85
#10 0xb6f05b2a in QMetaObject::metacall (object=0xab7e6660, cl=183903870, idx=36, argv=0xa967d78) at kernel/qmetaobject.cpp:237
#11 0xb6f10056 in QMetaCallEvent::placeMetaCall (this=0xa872f80, object=0xab7e6660) at kernel/qobject.cpp:561
#12 0xb6f1111e in QObject::event (this=0xab7e6660, e=0xa872f80) at kernel/qobject.cpp:1248
#13 0xb64a59a6 in QWidget::event (this=0xab7e6660, event=0xa872f80) at kernel/qwidget.cpp:8455
#14 0xb6447bec in QApplicationPrivate::notify_helper (this=0x98d5668, receiver=0xab7e6660, e=0xa872f80) at kernel/qapplication.cpp:4300
#15 0xb644e7f9 in QApplication::notify (this=0xbfe8dac8, receiver=0xab7e6660, e=0xa872f80) at kernel/qapplication.cpp:4265
#16 0xb71f5b4a in KApplication::notify (this=0xbfe8dac8, receiver=0xab7e6660, event=0xa872f80) at ../../kdeui/kernel/kapplication.cpp:302
#17 0xb6f0092b in QCoreApplication::notifyInternal (this=0xbfe8dac8, receiver=0xab7e6660, event=0xa872f80) at kernel/qcoreapplication.cpp:704
#18 0xb6f03303 in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x9880f40) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#19 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x9880f40) at kernel/qcoreapplication.cpp:1345
#20 0xb6f0346d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1238
#21 0xb6f2c83f in QCoreApplication::sendPostedEvents (s=0x98d7978) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#22 postEventSourceDispatch (s=0x98d7978) at kernel/qeventdispatcher_glib.cpp:276
#23 0xb4e0c2f5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#24 0xb4e0ffd8 in ?? () from /lib/libglib-2.0.so.0
#25 0xb4e101b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#26 0xb6f2c335 in QEventDispatcherGlib::processEvents (this=0x9880a08, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#27 0xb6506255 in QGuiEventDispatcherGlib::processEvents (this=0x9880a08, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#28 0xb6efef49 in QEventLoop::processEvents (this=0xbfe8c6e0, flags=) at kernel/qeventloop.cpp:149
#29 0xb6eff39a in QEventLoop::exec (this=0xbfe8c6e0, flags=...) at kernel/qeventloop.cpp:201
#30 0xb6982df3 in QDialog::exec (this=0xac9db08) at dialogs/qdialog.cpp:546
#31 0xb745f5f4 in KDevelop::UiController::showSettingsDialog (this=0x99509f0) at ../../shell/uicontroller.cpp:414
#32 0xb744ceb7 in KDevelop::MainWindowPrivate::settingsDialog (this=0x99dde68) at ../../shell/mainwindow_actions.cpp:100
#33 0xb744f290 in KDevelop::MainWindowPrivate::qt_metacall (this=0x99dde68, _c=QMetaObject::InvokeMetaMethod, _id=17, _a=0xbfe8c8e8) at ./mainwindow_p.moc:144
#34 0xb6f05b2a in QMetaObject::metacall (object=0x99dde68, cl=183903870, idx=21, argv=0xbfe8c8e8) at kernel/qmetaobject.cpp:237
#35 0xb6f140f5 in QMetaObject::activate (sender=0x99ddd90, m=0xb6d6ba18, local_signal_index=1, argv=0xbfe8c8e8) at kernel/qobject.cpp:3293
#36 0xb64412e9 in QAction::triggered (this=0x99ddd90, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#37 0xb64434dc in QAction::activate (this=0x99ddd90, event=QAction::Trigger) at kernel/qaction.cpp:1255
#38 0xb68e2bac in QMenuPrivate::activateCausedStack (this=0x99f9110, causedStack=..., action=0x99ddd90, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1011
#39 0xb68e905b in QMenuPrivate::activateAction (this=0x99f9110, action=0x99ddd90, action_e=QAction::Trigger, self=<value optimized out>) at widgets/qmenu.cpp:1103
#40 0xb68ea067 in QMenu::mouseReleaseEvent (this=0x9b30ef0, e=0xbfe8d244) at widgets/qmenu.cpp:2312
#41 0xb72eaed5 in KMenu::mouseReleaseEvent (this=0x9b30ef0, e=0xbfe8d244) at ../../kdeui/widgets/kmenu.cpp:471
#42 0xb64a5e78 in QWidget::event (this=0x9b30ef0, event=0xbfe8d244) at kernel/qwidget.cpp:7998
#43 0xb68eb66c in QMenu::event (this=0x9b30ef0, e=0xbfe8d244) at widgets/qmenu.cpp:2414
#44 0xb6447bec in QApplicationPrivate::notify_helper (this=0x98d5668, receiver=0x9b30ef0, e=0xbfe8d244) at kernel/qapplication.cpp:4300
#45 0xb644f0f7 in QApplication::notify (this=0xbfe8dac8, receiver=0x9b30ef0, e=0xbfe8d244) at kernel/qapplication.cpp:3865
#46 0xb71f5b4a in KApplication::notify (this=0xbfe8dac8, receiver=0x9b30ef0, event=0xbfe8d244) at ../../kdeui/kernel/kapplication.cpp:302
#47 0xb6f0092b in QCoreApplication::notifyInternal (this=0xbfe8dac8, receiver=0x9b30ef0, event=0xbfe8d244) at kernel/qcoreapplication.cpp:704
#48 0xb644e052 in QCoreApplication::sendEvent (receiver=0x9b30ef0, event=0xbfe8d244, alienWidget=0x0, nativeWidget=0x9b30ef0, buttonDown=0xb6d8c918, lastMouseReceiver=..., spontaneous=true)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#49 QApplicationPrivate::sendMouseEvent (receiver=0x9b30ef0, event=0xbfe8d244, alienWidget=0x0, nativeWidget=0x9b30ef0, buttonDown=0xb6d8c918, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2965
#50 0xb64d95b8 in QETWidget::translateMouseEvent (this=0x9b30ef0, event=0xbfe8d690) at kernel/qapplication_x11.cpp:4302
#51 0xb64d85ab in QApplication::x11ProcessEvent (this=0xbfe8dac8, event=0xbfe8d690) at kernel/qapplication_x11.cpp:3379
#52 0xb65066f2 in x11EventSourceDispatch (s=0x98d8840, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#53 0xb4e0c2f5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#54 0xb4e0ffd8 in ?? () from /lib/libglib-2.0.so.0
#55 0xb4e101b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#56 0xb6f2c335 in QEventDispatcherGlib::processEvents (this=0x9880a08, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#57 0xb6506255 in QGuiEventDispatcherGlib::processEvents (this=0x9880a08, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#58 0xb6efef49 in QEventLoop::processEvents (this=0xbfe8d984, flags=) at kernel/qeventloop.cpp:149
#59 0xb6eff39a in QEventLoop::exec (this=0xbfe8d984, flags=...) at kernel/qeventloop.cpp:201
#60 0xb6f0352f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#61 0xb6447c87 in QApplication::exec () at kernel/qapplication.cpp:3579
#62 0x0804ffa3 in _start ()

Reported using DrKonqi
Comment 1 Milian Wolff 2010-09-06 15:21:12 UTC
works for me just fine
Comment 2 Szymon Janc 2010-09-07 14:15:45 UTC
4.0.1 still crash, log below

 -- Backtrace:
Application: KDevelop (kdevelop.bin), signal: Segmentation fault
[Current thread is 1 (Thread 0xb430b710 (LWP 7804))]

Thread 13 (Thread 0xb13d9b70 (LWP 7805)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb6242 in pthread_cond_timedwait@@GLIBC_2.3.2 () from
/lib/i686/cmov/libpthread.so.0
#2  0xb618c154 in pthread_cond_timedwait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff7ef in QWaitConditionPrivate::wait (this=0x9b4c8d4, mutex=0x9b4c8d8,
time=200000) at thread/qwaitcondition_unix.cpp:85
#4  QWaitCondition::wait (this=0x9b4c8d4, mutex=0x9b4c8d8, time=200000) at
thread/qwaitcondition_unix.cpp:159
#5  0xb5200125 in KDevelop::DUChainPrivate::CleanupThread::run (this=0x9b4c8c8)
at ../../language/duchain/duchain.cpp:286
#6  0xb6dfe93e in QThreadPrivate::start (arg=0x9b4c8c8) at
thread/qthread_unix.cpp:248
#7  0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#8  0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 12 (Thread 0xad6f3b70 (LWP 7849)):
#0  0xb4e0f853 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#1  0xb4e0fbe9 in ?? () from /lib/libglib-2.0.so.0
#2  0xb4e101b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0xb6f2c36f in QEventDispatcherGlib::processEvents (this=0x9cce160,
flags=...) at kernel/qeventdispatcher_glib.cpp:414
#4  0xb6efef49 in QEventLoop::processEvents (this=0xad6f3290, flags=) at
kernel/qeventloop.cpp:149
#5  0xb6eff39a in QEventLoop::exec (this=0xad6f3290, flags=...) at
kernel/qeventloop.cpp:201
#6  0xb6dfbbd8 in QThread::exec (this=0x9fe3ad8) at thread/qthread.cpp:487
#7  0xb6edee3b in QInotifyFileSystemWatcherEngine::run (this=0x9fe3ad8) at
io/qfilesystemwatcher_inotify.cpp:248
#8  0xb6dfe93e in QThreadPrivate::start (arg=0x9fe3ad8) at
thread/qthread_unix.cpp:248
#9  0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#10 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 11 (Thread 0xae6f5b70 (LWP 7850)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb5f15 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/i686/cmov/libpthread.so.0
#2  0xb618c0fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff867 in QWaitConditionPrivate::wait (this=0xacd70658,
mutex=0xacd708a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xacd70658, mutex=0xacd708a8, time=4294967295)
at thread/qwaitcondition_unix.cpp:159
#5  0xb48c9840 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned
(this=0xacd70640, th=0xacd70b80) at
../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb48cc35c in ThreadWeaver::WorkingHardState::waitForAvailableJob
(this=0xacd70968, th=0xacd70b80) at
../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb48c824b in ThreadWeaver::WeaverImpl::waitForAvailableJob
(this=0xacd70640, th=0xacd70b80) at
../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb48cc452 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0xacd70b80) at
../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0xacd70b80, previous=0xa78f858) at
../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb48ca4ee in ThreadWeaver::ThreadRunHelper::run (this=0xae6f52f4,
parent=0xacd70640, th=0xacd70b80) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb48cac0b in ThreadWeaver::Thread::run (this=0xacd70b80) at
../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb6dfe93e in QThreadPrivate::start (arg=0xacd70b80) at
thread/qthread_unix.cpp:248
#13 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#14 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 10 (Thread 0xaad41b70 (LWP 7852)):
#0  0xb4e9de16 in clock_gettime () from /lib/i686/cmov/librt.so.1
#1  0xb6f2946b in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0xb6f2e675 in QTimerInfoList::updateCurrentTime (this=0xa1c637c) at
kernel/qeventdispatcher_unix.cpp:340
#3  0xb6f2e6ba in QTimerInfoList::timerWait (this=0xa1c637c, tm=...) at
kernel/qeventdispatcher_unix.cpp:443
#4  0xb6f2c578 in timerSourcePrepareHelper (src=<value optimized out>,
timeout=0xaad410fc) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb6f2c605 in timerSourcePrepare (source=0x0, timeout=0xb4ea1ff4) at
kernel/qeventdispatcher_glib.cpp:169
#6  0xb4e0f7ca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0xb4e0fbe9 in ?? () from /lib/libglib-2.0.so.0
#8  0xb4e101b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0xb6f2c36f in QEventDispatcherGlib::processEvents (this=0xa118410,
flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0xb6efef49 in QEventLoop::processEvents (this=0xaad412c0, flags=) at
kernel/qeventloop.cpp:149
#11 0xb6eff39a in QEventLoop::exec (this=0xaad412c0, flags=...) at
kernel/qeventloop.cpp:201
#12 0xb6dfbbd8 in QThread::exec (this=0x9fec388) at thread/qthread.cpp:487
#13 0xb52f7d40 in KDevelop::CompletionWorkerThread::run (this=0x9fec388) at
../../language/codecompletion/codecompletionmodel.cpp:82
#14 0xb6dfe93e in QThreadPrivate::start (arg=0x9fec388) at
thread/qthread_unix.cpp:248
#15 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#16 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 9 (Thread 0xaa540b70 (LWP 7853)):
#0  0xb4e9de16 in clock_gettime () from /lib/i686/cmov/librt.so.1
#1  0xb6f2946b in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0xb6f2e675 in QTimerInfoList::updateCurrentTime (this=0xa1aa9bc) at
kernel/qeventdispatcher_unix.cpp:340
#3  0xb6f2e6ba in QTimerInfoList::timerWait (this=0xa1aa9bc, tm=...) at
kernel/qeventdispatcher_unix.cpp:443
#4  0xb6f2c578 in timerSourcePrepareHelper (src=<value optimized out>,
timeout=0xaa5400fc) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb6f2c605 in timerSourcePrepare (source=0x0, timeout=0xb4ea1ff4) at
kernel/qeventdispatcher_glib.cpp:169
#6  0xb4e0f7ca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0xb4e0fbe9 in ?? () from /lib/libglib-2.0.so.0
#8  0xb4e101b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0xb6f2c36f in QEventDispatcherGlib::processEvents (this=0x9c7d3c8,
flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0xb6efef49 in QEventLoop::processEvents (this=0xaa5402c0, flags=) at
kernel/qeventloop.cpp:149
#11 0xb6eff39a in QEventLoop::exec (this=0xaa5402c0, flags=...) at
kernel/qeventloop.cpp:201
#12 0xb6dfbbd8 in QThread::exec (this=0xab7bafc8) at thread/qthread.cpp:487
#13 0xb52f7d40 in KDevelop::CompletionWorkerThread::run (this=0xab7bafc8) at
../../language/codecompletion/codecompletionmodel.cpp:82
#14 0xb6dfe93e in QThreadPrivate::start (arg=0xab7bafc8) at
thread/qthread_unix.cpp:248
#15 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#16 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 8 (Thread 0xa9d3fb70 (LWP 7854)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb6242 in pthread_cond_timedwait@@GLIBC_2.3.2 () from
/lib/i686/cmov/libpthread.so.0
#2  0xb618c154 in pthread_cond_timedwait () from /lib/i686/cmov/libc.so.6
#3  0xb6dfe241 in thread_sleep (ti=0x1) at thread/qthread_unix.cpp:398
#4  0xb6dfe383 in QThread::msleep (msecs=30) at thread/qthread_unix.cpp:424
#5  0xab67925b in ?? () from /usr/lib/kde4/kdevcpplanguagesupport.so
#6  0xb6dfe93e in QThreadPrivate::start (arg=0xa1ab6b0) at
thread/qthread_unix.cpp:248
#7  0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#8  0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 7 (Thread 0xa913bb70 (LWP 7855)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb5f15 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/i686/cmov/libpthread.so.0
#2  0xb618c0fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff867 in QWaitConditionPrivate::wait (this=0x9ae1730, mutex=0x9ae1b38,
time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9ae1730, mutex=0x9ae1b38, time=4294967295) at
thread/qwaitcondition_unix.cpp:159
#5  0xb48c9840 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9ae1718,
th=0xa03d670) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb48cc35c in ThreadWeaver::WorkingHardState::waitForAvailableJob
(this=0x9ae1bd0, th=0xa03d670) at
../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb48c824b in ThreadWeaver::WeaverImpl::waitForAvailableJob
(this=0x9ae1718, th=0xa03d670) at
../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb48cc452 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0,
th=0xa03d670) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718,
th=0xa03d670, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0,
th=0xa03d670) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718,
th=0xa03d670, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0,
th=0xa03d670) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718,
th=0xa03d670, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0,
th=0xa03d670) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718,
th=0xa03d670, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0,
th=0xa03d670) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#17 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718,
th=0xa03d670, previous=0xa502f7b0) at
../../../threadweaver/Weaver/WeaverImpl.cpp:351
#18 0xb48ca4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa913b2f4,
parent=0x9ae1718, th=0xa03d670) at ../../../threadweaver/Weaver/Thread.cpp:87
#19 0xb48cac0b in ThreadWeaver::Thread::run (this=0xa03d670) at
../../../threadweaver/Weaver/Thread.cpp:142
#20 0xb6dfe93e in QThreadPrivate::start (arg=0xa03d670) at
thread/qthread_unix.cpp:248
#21 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#22 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 6 (Thread 0xa893ab70 (LWP 7856)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb5f15 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/i686/cmov/libpthread.so.0
#2  0xb618c0fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff867 in QWaitConditionPrivate::wait (this=0x9ae1730, mutex=0x9ae1b38,
time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9ae1730, mutex=0x9ae1b38, time=4294967295) at
thread/qwaitcondition_unix.cpp:159
#5  0xb48c9840 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9ae1718,
th=0xab7c8ca0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb48cc35c in ThreadWeaver::WorkingHardState::waitForAvailableJob
(this=0x9ae1bd0, th=0xab7c8ca0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb48c824b in ThreadWeaver::WeaverImpl::waitForAvailableJob
(this=0x9ae1718, th=0xab7c8ca0) at
../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb48cc452 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0,
th=0xab7c8ca0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718,
th=0xab7c8ca0, previous=0x99fb2b8) at
../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb48ca4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa893a2f4,
parent=0x9ae1718, th=0xab7c8ca0) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb48cac0b in ThreadWeaver::Thread::run (this=0xab7c8ca0) at
../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb6dfe93e in QThreadPrivate::start (arg=0xab7c8ca0) at
thread/qthread_unix.cpp:248
#13 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#14 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 5 (Thread 0xa8139b70 (LWP 7857)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb5f15 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/i686/cmov/libpthread.so.0
#2  0xb618c0fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff867 in QWaitConditionPrivate::wait (this=0x9ae1730, mutex=0x9ae1b38,
time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9ae1730, mutex=0x9ae1b38, time=4294967295) at
thread/qwaitcondition_unix.cpp:159
#5  0xb48c9840 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9ae1718,
th=0xa070a78) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb48cc35c in ThreadWeaver::WorkingHardState::waitForAvailableJob
(this=0x9ae1bd0, th=0xa070a78) at
../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb48c824b in ThreadWeaver::WeaverImpl::waitForAvailableJob
(this=0x9ae1718, th=0xa070a78) at
../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb48cc452 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0,
th=0xa070a78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718,
th=0xa070a78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9ae1bd0,
th=0xa070a78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9ae1718,
th=0xa070a78, previous=0xafa3428) at
../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb48ca4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa81392f4,
parent=0x9ae1718, th=0xa070a78) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0xb48cac0b in ThreadWeaver::Thread::run (this=0xa070a78) at
../../../threadweaver/Weaver/Thread.cpp:142
#14 0xb6dfe93e in QThreadPrivate::start (arg=0xa070a78) at
thread/qthread_unix.cpp:248
#15 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#16 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 4 (Thread 0xac1ffb70 (LWP 8232)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb5f15 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/i686/cmov/libpthread.so.0
#2  0xb618c0fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff867 in QWaitConditionPrivate::wait (this=0xacd70658,
mutex=0xacd708a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xacd70658, mutex=0xacd708a8, time=4294967295)
at thread/qwaitcondition_unix.cpp:159
#5  0xb48c9840 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned
(this=0xacd70640, th=0x9f841f0) at
../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb48cc35c in ThreadWeaver::WorkingHardState::waitForAvailableJob
(this=0xacd70968, th=0x9f841f0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb48c824b in ThreadWeaver::WeaverImpl::waitForAvailableJob
(this=0xacd70640, th=0x9f841f0) at
../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb48cc452 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0x9f841f0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0x9f841f0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0x9f841f0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0x9f841f0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0x9f841f0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0x9f841f0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0x9f841f0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0x9f841f0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0x9f841f0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#17 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0x9f841f0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#18 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0x9f841f0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#19 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0x9f841f0, previous=0xacdd8e8) at
../../../threadweaver/Weaver/WeaverImpl.cpp:351
#20 0xb48ca4ee in ThreadWeaver::ThreadRunHelper::run (this=0xac1ff2f4,
parent=0xacd70640, th=0x9f841f0) at ../../../threadweaver/Weaver/Thread.cpp:87
#21 0xb48cac0b in ThreadWeaver::Thread::run (this=0x9f841f0) at
../../../threadweaver/Weaver/Thread.cpp:142
#22 0xb6dfe93e in QThreadPrivate::start (arg=0x9f841f0) at
thread/qthread_unix.cpp:248
#23 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#24 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 3 (Thread 0xa4ae5b70 (LWP 8233)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb5f15 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/i686/cmov/libpthread.so.0
#2  0xb618c0fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff867 in QWaitConditionPrivate::wait (this=0xacd70658,
mutex=0xacd708a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xacd70658, mutex=0xacd708a8, time=4294967295)
at thread/qwaitcondition_unix.cpp:159
#5  0xb48c9840 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned
(this=0xacd70640, th=0x9df1290) at
../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb48cc35c in ThreadWeaver::WorkingHardState::waitForAvailableJob
(this=0xacd70968, th=0x9df1290) at
../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb48c824b in ThreadWeaver::WeaverImpl::waitForAvailableJob
(this=0xacd70640, th=0x9df1290) at
../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb48cc452 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0x9df1290) at
../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0x9df1290, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0x9df1290) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0x9df1290, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0x9df1290) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0x9df1290, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0x9df1290) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0x9df1290, previous=0xa6df5f0) at
../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb48ca4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa4ae52f4,
parent=0xacd70640, th=0x9df1290) at ../../../threadweaver/Weaver/Thread.cpp:87
#17 0xb48cac0b in ThreadWeaver::Thread::run (this=0x9df1290) at
../../../threadweaver/Weaver/Thread.cpp:142
#18 0xb6dfe93e in QThreadPrivate::start (arg=0x9df1290) at
thread/qthread_unix.cpp:248
#19 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#20 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 2 (Thread 0xa42e4b70 (LWP 8235)):
#0  0xb778a424 in __kernel_vsyscall ()
#1  0xb4eb5f15 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/i686/cmov/libpthread.so.0
#2  0xb618c0fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6dff867 in QWaitConditionPrivate::wait (this=0xacd70658,
mutex=0xacd708a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xacd70658, mutex=0xacd708a8, time=4294967295)
at thread/qwaitcondition_unix.cpp:159
#5  0xb48c9840 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned
(this=0xacd70640, th=0xa354cc8) at
../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb48cc35c in ThreadWeaver::WorkingHardState::waitForAvailableJob
(this=0xacd70968, th=0xa354cc8) at
../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb48c824b in ThreadWeaver::WeaverImpl::waitForAvailableJob
(this=0xacd70640, th=0xa354cc8) at
../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb48cc452 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0xa354cc8) at
../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0xa354cc8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0xa354cc8) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0xa354cc8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0xa354cc8) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0xa354cc8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0xa354cc8) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0xa354cc8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0xa354cc8) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#17 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0xa354cc8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#18 0xb48cc471 in ThreadWeaver::WorkingHardState::applyForWork
(this=0xacd70968, th=0xa354cc8) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#19 0xb48c94a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xacd70640,
th=0xa354cc8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#20 0xb48ca4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa42e42f4,
parent=0xacd70640, th=0xa354cc8) at ../../../threadweaver/Weaver/Thread.cpp:87
#21 0xb48cac0b in ThreadWeaver::Thread::run (this=0xa354cc8) at
../../../threadweaver/Weaver/Thread.cpp:142
#22 0xb6dfe93e in QThreadPrivate::start (arg=0xa354cc8) at
thread/qthread_unix.cpp:248
#23 0xb4eb1955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#24 0xb617f14e in clone () from /lib/i686/cmov/libc.so.6

Thread 1 (Thread 0xb430b710 (LWP 7804)):
[KCrash Handler]
#6  QBasicAtomicInt::ref (this=0xbfe8bc80, other=...) at
../../include/QtCore/../../src/corelib/arch/qatomic_i386.h:120
#7  QString::operator= (this=0xbfe8bc80, other=...) at tools/qstring.cpp:1280
#8  0xab8b7b73 in SourceFormatterSettings::load (this=0xab7e6660) at
../../../shell/settings/sourceformattersettings.cpp:152
#9  0xab8b4da6 in SourceFormatterSettings::qt_metacall (this=0xab7e6660,
_c=QMetaObject::InvokeMetaMethod, _id=36, _a=0xa967d78) at
./sourceformattersettings.moc:85
#10 0xb6f05b2a in QMetaObject::metacall (object=0xab7e6660, cl=183903870,
idx=36, argv=0xa967d78) at kernel/qmetaobject.cpp:237
#11 0xb6f10056 in QMetaCallEvent::placeMetaCall (this=0xa872f80,
object=0xab7e6660) at kernel/qobject.cpp:561
#12 0xb6f1111e in QObject::event (this=0xab7e6660, e=0xa872f80) at
kernel/qobject.cpp:1248
#13 0xb64a59a6 in QWidget::event (this=0xab7e6660, event=0xa872f80) at
kernel/qwidget.cpp:8455
#14 0xb6447bec in QApplicationPrivate::notify_helper (this=0x98d5668,
receiver=0xab7e6660, e=0xa872f80) at kernel/qapplication.cpp:4300
#15 0xb644e7f9 in QApplication::notify (this=0xbfe8dac8, receiver=0xab7e6660,
e=0xa872f80) at kernel/qapplication.cpp:4265
#16 0xb71f5b4a in KApplication::notify (this=0xbfe8dac8, receiver=0xab7e6660,
event=0xa872f80) at ../../kdeui/kernel/kapplication.cpp:302
#17 0xb6f0092b in QCoreApplication::notifyInternal (this=0xbfe8dac8,
receiver=0xab7e6660, event=0xa872f80) at kernel/qcoreapplication.cpp:704
#18 0xb6f03303 in QCoreApplication::sendEvent (receiver=0x0, event_type=0,
data=0x9880f40) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#19 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0,
data=0x9880f40) at kernel/qcoreapplication.cpp:1345
#20 0xb6f0346d in QCoreApplication::sendPostedEvents (receiver=0x0,
event_type=0) at kernel/qcoreapplication.cpp:1238
#21 0xb6f2c83f in QCoreApplication::sendPostedEvents (s=0x98d7978) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#22 postEventSourceDispatch (s=0x98d7978) at
kernel/qeventdispatcher_glib.cpp:276
#23 0xb4e0c2f5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#24 0xb4e0ffd8 in ?? () from /lib/libglib-2.0.so.0
#25 0xb4e101b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#26 0xb6f2c335 in QEventDispatcherGlib::processEvents (this=0x9880a08,
flags=...) at kernel/qeventdispatcher_glib.cpp:412
#27 0xb6506255 in QGuiEventDispatcherGlib::processEvents (this=0x9880a08,
flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#28 0xb6efef49 in QEventLoop::processEvents (this=0xbfe8c6e0, flags=) at
kernel/qeventloop.cpp:149
#29 0xb6eff39a in QEventLoop::exec (this=0xbfe8c6e0, flags=...) at
kernel/qeventloop.cpp:201
#30 0xb6982df3 in QDialog::exec (this=0xac9db08) at dialogs/qdialog.cpp:546
#31 0xb745f5f4 in KDevelop::UiController::showSettingsDialog (this=0x99509f0)
at ../../shell/uicontroller.cpp:414
#32 0xb744ceb7 in KDevelop::MainWindowPrivate::settingsDialog (this=0x99dde68)
at ../../shell/mainwindow_actions.cpp:100
#33 0xb744f290 in KDevelop::MainWindowPrivate::qt_metacall (this=0x99dde68,
_c=QMetaObject::InvokeMetaMethod, _id=17, _a=0xbfe8c8e8) at
./mainwindow_p.moc:144
#34 0xb6f05b2a in QMetaObject::metacall (object=0x99dde68, cl=183903870,
idx=21, argv=0xbfe8c8e8) at kernel/qmetaobject.cpp:237
#35 0xb6f140f5 in QMetaObject::activate (sender=0x99ddd90, m=0xb6d6ba18,
local_signal_index=1, argv=0xbfe8c8e8) at kernel/qobject.cpp:3293
#36 0xb64412e9 in QAction::triggered (this=0x99ddd90, _t1=false) at
.moc/release-shared/moc_qaction.cpp:263
#37 0xb64434dc in QAction::activate (this=0x99ddd90, event=QAction::Trigger) at
kernel/qaction.cpp:1255
#38 0xb68e2bac in QMenuPrivate::activateCausedStack (this=0x99f9110,
causedStack=..., action=0x99ddd90, action_e=QAction::Trigger, self=true) at
widgets/qmenu.cpp:1011
#39 0xb68e905b in QMenuPrivate::activateAction (this=0x99f9110,
action=0x99ddd90, action_e=QAction::Trigger, self=<value optimized out>) at
widgets/qmenu.cpp:1103
#40 0xb68ea067 in QMenu::mouseReleaseEvent (this=0x9b30ef0, e=0xbfe8d244) at
widgets/qmenu.cpp:2312
#41 0xb72eaed5 in KMenu::mouseReleaseEvent (this=0x9b30ef0, e=0xbfe8d244) at
../../kdeui/widgets/kmenu.cpp:471
#42 0xb64a5e78 in QWidget::event (this=0x9b30ef0, event=0xbfe8d244) at
kernel/qwidget.cpp:7998
#43 0xb68eb66c in QMenu::event (this=0x9b30ef0, e=0xbfe8d244) at
widgets/qmenu.cpp:2414
#44 0xb6447bec in QApplicationPrivate::notify_helper (this=0x98d5668,
receiver=0x9b30ef0, e=0xbfe8d244) at kernel/qapplication.cpp:4300
#45 0xb644f0f7 in QApplication::notify (this=0xbfe8dac8, receiver=0x9b30ef0,
e=0xbfe8d244) at kernel/qapplication.cpp:3865
#46 0xb71f5b4a in KApplication::notify (this=0xbfe8dac8, receiver=0x9b30ef0,
event=0xbfe8d244) at ../../kdeui/kernel/kapplication.cpp:302
#47 0xb6f0092b in QCoreApplication::notifyInternal (this=0xbfe8dac8,
receiver=0x9b30ef0, event=0xbfe8d244) at kernel/qcoreapplication.cpp:704
#48 0xb644e052 in QCoreApplication::sendEvent (receiver=0x9b30ef0,
event=0xbfe8d244, alienWidget=0x0, nativeWidget=0x9b30ef0,
buttonDown=0xb6d8c918, lastMouseReceiver=..., spontaneous=true)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#49 QApplicationPrivate::sendMouseEvent (receiver=0x9b30ef0, event=0xbfe8d244,
alienWidget=0x0, nativeWidget=0x9b30ef0, buttonDown=0xb6d8c918,
lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2965
#50 0xb64d95b8 in QETWidget::translateMouseEvent (this=0x9b30ef0,
event=0xbfe8d690) at kernel/qapplication_x11.cpp:4302
#51 0xb64d85ab in QApplication::x11ProcessEvent (this=0xbfe8dac8,
event=0xbfe8d690) at kernel/qapplication_x11.cpp:3379
#52 0xb65066f2 in x11EventSourceDispatch (s=0x98d8840, callback=0,
user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#53 0xb4e0c2f5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#54 0xb4e0ffd8 in ?? () from /lib/libglib-2.0.so.0
#55 0xb4e101b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#56 0xb6f2c335 in QEventDispatcherGlib::processEvents (this=0x9880a08,
flags=...) at kernel/qeventdispatcher_glib.cpp:412
#57 0xb6506255 in QGuiEventDispatcherGlib::processEvents (this=0x9880a08,
flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#58 0xb6efef49 in QEventLoop::processEvents (this=0xbfe8d984, flags=) at
kernel/qeventloop.cpp:149
#59 0xb6eff39a in QEventLoop::exec (this=0xbfe8d984, flags=...) at
kernel/qeventloop.cpp:201
#60 0xb6f0352f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#61 0xb6447c87 in QApplication::exec () at kernel/qapplication.cpp:3579
#62 0x0804ffa3 in _start ()
Comment 3 Milian Wolff 2010-09-07 18:02:45 UTC
can you reproduce this in KDevelop 4.1 Beta 1?
Comment 4 Milian Wolff 2010-09-25 20:50:26 UTC
and if you can, please run kdevelop through valgrind to show why it's failing:

valgrind --track-origins=yes --num-callers=50 kdevelop

(only works this way starting with kdevelop 4.1 or above)
Comment 5 Milian Wolff 2010-12-06 11:38:58 UTC
*** Bug 229833 has been marked as a duplicate of this bug. ***
Comment 6 Milian Wolff 2010-12-06 11:39:15 UTC
*** Bug 258981 has been marked as a duplicate of this bug. ***
Comment 7 Szymon Janc 2011-03-10 19:33:05 UTC
Created attachment 57840 [details]
valgrind crash logs
Comment 8 Szymon Janc 2011-03-10 19:33:40 UTC
Created attachment 57841 [details]
gdb crash logs
Comment 9 Szymon Janc 2011-03-10 19:40:38 UTC
Created attachment 57842 [details]
configuration
Comment 10 Szymon Janc 2011-03-10 19:50:16 UTC
first, sorry for such late reply

I've attached logs you asked for.
Crash is not reproducible with fresh configuration so I've attached configuration files that trigger crash.

I've also noticed that crash happens only when entering "Source Formater", browsing other settings is fine. That should narrow things a bit..


tested with
janc@athlon:~$ kdevelop --version
Qt: 4.7.2
KDE Development Platform: 4.5.3 (KDE 4.5.3)
KDevelop: 4.1.1
Comment 11 Milian Wolff 2011-03-10 22:07:08 UTC
if you are still using kdevelop 4.0, first do an upgrade to 4.2 or at least 4.1 and see whether the crash is still there.

if it is, install debug symbols for kdevelop and reproduce the gdb + valgrind log as right now they are pretty useless.

thanks
Comment 12 Szymon Janc 2011-03-11 21:39:21 UTC
Created attachment 57887 [details]
valgrind with debug symbols
Comment 13 Szymon Janc 2011-03-11 21:40:15 UTC
Created attachment 57888 [details]
gdb with debug symbols
Comment 14 Szymon Janc 2011-03-11 21:41:28 UTC
Tested with KDevelop 4.1.1
Comment 15 Milian Wolff 2011-03-29 12:01:52 UTC
Git commit d521b3a70f7b1e219cd27fdc07bf24af72384dac by Milian Wolff.
Committed on 29/03/2011 at 12:04.
Pushed by mwolff into branch 'master'.

prevent crash when config file contains something like "foo||"

BUG: 240509

M  +2    -2    shell/settings/sourceformattersettings.cpp     

http://commits.kde.org/kdevplatform/d521b3a70f7b1e219cd27fdc07bf24af72384dac
Comment 16 Milian Wolff 2011-03-29 12:03:26 UTC
fixed for 4.2.1 now, thanks for the logs Szymon.

If you want to patch 4.1 (which is not going to see future releases from us), just port the above patch to your branch. Should be straight forward.
Comment 17 Milian Wolff 2011-03-29 12:19:19 UTC
Git commit c5f49ec163f13c83e7968cf10643bd1e62c02d10 by Milian Wolff.
Committed on 29/03/2011 at 12:22.
Pushed by mwolff into branch '1.2'.

prevent crash when config file contains something like "foo||"

CCBUG: 240509

M  +2    -2    shell/settings/sourceformattersettings.cpp     

http://commits.kde.org/kdevplatform/c5f49ec163f13c83e7968cf10643bd1e62c02d10
Comment 18 Milian Wolff 2011-03-29 12:20:26 UTC
actually the last commit should also apply to 4.1 branch
Comment 19 Milian Wolff 2011-04-05 11:30:54 UTC
*** Bug 270137 has been marked as a duplicate of this bug. ***
Comment 20 Milian Wolff 2011-06-25 09:32:26 UTC
*** Bug 276426 has been marked as a duplicate of this bug. ***